Name:           freeDiameter
Version:        1.1.5
Release:        1%{?dist}
Summary:        A Diameter protocol open implementation

License:        BSD
URL:            http://www.freediameter.net/
Source0:        http://www.freediameter.net/hg/%{name}/archive/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  lksctp-tools-devel 
BuildRequires:  gnutls-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  cmake
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  libidn-devel

%description
freeDiameter is an open source Diameter protocol implementation. It provides 
an extensible platform for deploying a Diameter network for your 
Authentication, Authorization and Accounting needs.

%package devel
Summary:        Library for freeDiameter package
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the shared library
for %{name} package.

%prep
%setup -qn %{name}-%{version}

%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} .
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc doc
%{_bindir}/freeDiameterd
%{_bindir}/%{name}d-%{version}
%{_libdir}/libfdcore.so.4
%{_libdir}/libfdproto.so.4
%{_libdir}/libfdcore.so.%{version}
%{_libdir}/libfdproto.so.%{version}

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_libdir}/%{name}/
%{_libdir}/libfdcore.so
%{_libdir}/libfdproto.so

%changelog
* Fri Dec  7 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.1.5-1
- Updated to new upstream 1.1.5

* Sat Sep 29 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.1.4-1
- Updated to 1.1.4

* Sat Aug 25 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.1.3-1
- Updated to 1.1.3.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 16 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.1.2-1
- Updated to 1.1.2.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 29 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.1.1-1
- Updated to 1.1.1.

* Mon Jun 06 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.1.0-1
- Updated to 1.1.0.

* Mon Dec 27 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.0.3-1
- Initial package.

